# salt.thorium.reg

Used to manage the thorium register. The thorium register is where compound values are stored and computed, such as averages etc.

salt.thorium.reg.clear(name)

  Clear the namespace from the register

  USAGE:

      clearns:
        reg.clear:
          - name: myregister

salt.thorium.reg.delete(name)

  Delete the namespace from the register

  USAGE:

      deletens:
        reg.delete:
          - name: myregister

salt.thorium.reg.list_(name, add, match, stamp=False, prune=0)

  Add the specified values to the named list

  If `stamp` is True, then the timestamp from the event will also be added if `prune` is set to an integer higher than `0`, then only the last `prune` values will be kept in the list.

  USAGE:

      foo:
        reg.list:
          - add: bar
          - match: my/custom/event
          - stamp: True

salt.thorium.reg.mean(name, add, match)

  Accept a numeric value from the matched events and store a running average of the values in the given register. If the specified value is not numeric it will be skipped

  USAGE:

      foo:
        reg.mean:
          - add: data_field
          - match: my/custom/event

salt.thorium.reg.set_(name, add, match)

  Add a value to the named set

  USAGE:

      foo:
        reg.set:
          - add: bar
          - match: my/custom/event